#include <iostream>
using namespace std;

int main() {
    int brojstativa, pericinavisina;
    cin >> brojstativa >> pericinavisina;

    int stative[100];
    for (int i = 0; i < brojstativa; i++) {
        cin >> stative[i];
    }

    int rezultat = -1;
    for (int i = 0; i < brojstativa; i++) {
        if (stative[i] <= pericinavisina) {
            rezultat = i + 1;
            break;
        }
    }

    if (rezultat == -1) {
        cout << -1;
    } else {
        cout << rezultat;
    }

    return 0;
}